Bug 431203 - (CVE-2007-6698) CVE-2007-6698 openldap: slapd crash on NOOP control operation on entry in bdb storage
CVE-2007-6698 openldap: slapd crash on NOOP control operation on entry in bdb...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=vendorsec,reported=20080201,pu...
: Security
Depends On: 431405 431406 431407 431408 431409
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 09:57 EST by Tomas Hoger
Modified: 2009-07-29 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 03:45:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer script (2.88 KB, application/x-shellscript)
2008-02-08 04:00 EST, Jan Safranek
no flags Details

  None (edit)
Description Tomas Hoger 2008-02-01 09:57:49 EST
It was discovered that modify operation with NOOP control on an entry stored in
BDB backed can cause OpenLDAP's slapd daemon to crash.  Further details and
patch can be found in upstream bug / CVS:

  http://www.openldap.org/its/index.cgi/Software%20Bugs?id=4925
 
http://www.openldap.org/devel/cvsweb.cgi/servers/slapd/back-bdb/modify.c.diff?r1=1.124.2.16&r2=1.124.2.17&f=h

NOOP control was introduced in OpenLDAP 2.1 branch as documented on roadmap page:

  http://www.openldap.org/software/roadmap.html

This issue was fixed upstream in version 2.3.36:

  http://www.openldap.org/devel/cvsweb.cgi/~checkout~/Attic/CHANGES?rev=1.5.8.414
Comment 4 Tomas Hoger 2008-02-04 07:48:27 EST
This issue does not affect OpenLDAP packages as shipped in Red Hat Enterprise
Linux 2.1 and 3.

OpenLDAP packages in Red Hat Enterprise Linux 4 and 5 are affected and issue
will be addressed in the security advisory.

Note: On Red Hat Enterprise Linux 5, database recovery performed during slapd
daemon startup may not properly clean up after the crash caused by such request
with NOOP control.  Affected DN may remain locked / unaccessible via LDAP
requests.  If this occurs, you need to run database recovery manually using
following command:

  slapd_db_recover -v -h /var/lib/ldap

while slapd daemon is stopped.
Comment 6 Fedora Update System 2008-02-07 15:54:09 EST
openldap-2.3.34-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Red Hat Product Security 2008-02-22 03:45:03 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0110.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-1307


Note You need to log in before you can comment on or make changes to this bug.